#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: kalgebra
Summary: MathML-based graph calculator
Version: 4.10.5
Release: %mkrel %{rel}
Group: Sciences/Mathematics
License: GPLv2 and LGPLv2 and GFDL
URL: http://userbase.kde.org/KAlgebra
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz

# Branch patches 100->200

# Trunk patches 200->300

# Mageia patches 500->600

BuildRequires: libkdeedu-devel >= %version
BuildRequires: analitza-devel >= %version

Suggests: kalgebra-handbook

%description
KAlgebra is a mathematical calculator based on the content markup language
MathML. It is capable of making simple MathML operations
(arithmetic and logical), and representing 2D and 3D graphs. It is
actually not necessary to know MathML to use KAlgebra.

%files
%_kde_bindir/kalgebra
%_kde_bindir/kalgebramobile
%_kde_iconsdir/*/*/apps/kalgebra.*
%_kde_datadir/applications/kde4/kalgebra.desktop
%_kde_datadir/applications/kde4/kalgebramobile.desktop
%_kde_libdir/kde4/plasma_applet_kalgebra.so
%_kde_libdir/kde4/imports/org/kde/analitza/
%_kde_appsdir/katepart/syntax/kalgebra.xml
%_kde_appsdir/plasma/plasmoids/org.kde.graphsplasmoid/
%_kde_appsdir/kalgebramobile
%_kde_services/kalgebra*.desktop
%_kde_services/graphsplasmoid.desktop

#------------------------------------------------------------------------------

%package handbook
Summary: kalgebra handbook
Conflicts: kalgebra < 4.7.1
BuildArch: noarch
Group: Documentation
%description handbook
This package provides kalgebra handbook

%files handbook
%doc COPYING COPYING.LIB COPYING.DOC
%doc %_kde_docdir/HTML/en/kalgebra

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 4.10.5-1.1.mga3
+ Revision: 450604
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407222
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401843
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394393
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 355772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339471
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334554
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326756
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320313
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Remove redundant BuildRequires
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316193
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301964
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289765
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277059
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269654
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266129
- New version 4.8.95 and some fixes

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257249
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228464
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221464
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198301
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-0.mga2
+ Revision: 190981
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186140
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181872
- Update tarball to KDE SC 4.7.90
- Fix buildrequires
- Fix files list
- Update URL

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176350
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161085
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151929
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140622
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%defattr
- Remove %%clean section
- Remove kdelibs4-devel as require for -devel package (already handled by autoreqprov)
- Update tarball to KDE SC 4.7.0
- fix License
- remove %%defattr

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122355
- Update tarball to KDE  4.6.95 ( KDE SC 4.7 RC2)

* Tue Jun 28 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115400
- add conflicts on older package

  + mikala <mikala>
    - imported package kalgebra

